#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xfconf
Version		:	4.14.3
Release		:	17.0.10.rel%{?dist}

Summary		:	Hierarchical configuration system for Xfce
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://archive.xfce.org/src/xfce/xfconf

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	libxfce4util

#-----------------------------------------------------------------------------
%description
Xfconf is a hierarchical (tree-like) configuration system where the
immediate child nodes of the root are called "channels".  All settings
beneath the channel nodes are called "properties.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-vale=no				\
	--enable-introspection=no			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__chmod} +x %{buildroot}/%{_libdir}/*.so.*

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/xfce4/%{name}-0/%{name}/*.h
%{_bindir}/%{name}-query
%{_libdir}/xfce4/%{name}/%{name}d
#%{_libdir}/gio/modules/lib%{name}gsettingsbackend.{la,so}
%{_libdir}/lib%{name}-0.{la,so*}
%{_libdir}/pkgconfig/lib%{name}-0.pc
%{_datadir}/gtk-doc/html/%{name}/*.{css,html,png,sgml}
%{_datadir}/gtk-doc/html/%{name}/*.devhelp2
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service


%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
